<?php

class Editor extends ET_Plugin
{
	function get ($contents, $id)
	{
		return $contents;
	}
	
	function has_options () { return false; }
	
	function get_editors ()
	{
		$available = get_declared_classes ();
		$dirs    = glob (dirname (__FILE__).'/../editors/*', GLOB_ONLYDIR);
		if (count ($dirs) > 0)
		{
			foreach ($dirs AS $editor)
				include ($editor.'/'.basename ($editor).'.php');
		}

		$editors = array ();
		$available = array_diff (get_declared_classes (), $available);

		if (count ($available) > 0)
		{
			foreach ($available AS $editor)
				$editors[$editor] = new $editor;
		}
		
		return $editors;
	}
}

?>